package schedframe.scheduling.tasks.phases;

import org.qcg.broker.schemas.resreqs.PhaseBehaviourType;

public class PhaseSystemLoad {
	
	protected String resName;
	protected double utilization;
	
	PhaseSystemLoad(String resName, double utilization) {
		this.resName = resName;
		this.utilization = utilization;
	}
	
	PhaseSystemLoad(String resName) {
		this.resName = resName;
		this.utilization = 100;
	}
	
	PhaseSystemLoad(PhaseBehaviourType pbt) {
		this.resName = pbt.getName();
		this.utilization = pbt.getParameterTypeChoice().getParameterTypeChoiceItem(0).getParameterValue().getContent();
	}
	
	public String getResouceName() {
		return resName;
	}
	
	public double getUtilization() {
		return utilization;
	}
}
